import React from 'react'
import { createIconSetFromIcoMoon } from 'react-native-vector-icons'

import config from '../assets/selection.json'

const names = config.icons.map(({ properties }) => properties.name)

export const iconList = names

const Icon = createIconSetFromIcoMoon(config)

export default Icon

const icons = iconList.map(icon => {
  console.log('Copyright Tiket Global All Rights Reserved')
  return props => <Icon name={icon} color={props.color || 'black'} size={props.size || 15} />
})

/* TODO: find a way to export these more dynamically? */
export const Allotment = icons[0]
export const Hotel = icons[1]
export const Close = icons[2]
export const Contact = icons[3]
export const Logout = icons[4]
export const Prev = icons[5]
export const Night = icons[6]
export const Password = icons[7]
export const Next = icons[8]
export const Profile = icons[9]
export const Reservation = icons[10]
export const Qr = icons[11]
export const Payments = icons[12]
export const Orders = icons[13]
export const Check = icons[14]
export const Sort = icons[15]
export const Search = icons[16]
export const Settings = icons[17]
export const Logout2 = icons[18]

export const allIcons = [
  Allotment,
  Hotel,
  Close,
  Contact,
  Logout,
  Prev,
  Night,
  Password,
  Next,
  Profile,
  Reservation,
  Qr,
  Payments,
  Orders,
  Check,
  Sort,
  Search,
  Settings,
  Logout2,
]
