import React from 'react'
import renderer from 'react-test-renderer'
// import getStyle from '../helpers/get-style'
import RadioButton from './RadioButton'
import FormBuilder from './FormBuilder'

// import { BLUE } from '../styles/theme'

describe('Test RadioButton Component', () => {
  // Tests that Radio Button render
  test('should render in FormBuilder', () => {
    const wrapper = renderer.create(
      <FormBuilder initialValues={{ example: true }} Example={RadioButton} onSubmit={console.log} />,
    )

    expect(wrapper.toJSON()).toBeTruthy()
  })

  //   test('Should render with the height 18', async () => {
  //     const wrapper1 = renderer.create(<RadioButton toggleValue />)
  //     const wrapper2 = renderer.create(<RadioButton toggleValue={false} />)
  //     const style1 = await getStyle(wrapper1.toJSON())
  //     const style2 = await getStyle(wrapper2.toJSON().children[0])
  //
  //     expect(style1.height).toBe('18px')
  //     expect(style2.height).toBe('18px')
  //   })
  //
  //   test('Should render with the width 18', async () => {
  //     const wrapper1 = renderer.create(<RadioButton toggleValue />)
  //     const wrapper2 = renderer.create(<RadioButton toggleValue={false} />)
  //     const style1 = await getStyle(wrapper1.toJSON())
  //     const style2 = await getStyle(wrapper2.toJSON().children[0])
  //
  //     expect(style1.width).toBe('18px')
  //     expect(style2.width).toBe('18px')
  //   })
  //
  //   test('Checked Radio Button should render with undefined background', async () => {
  //     const wrapper = renderer.create(<RadioButton toggleValue />)
  //     const style = await getStyle(wrapper.toJSON())
  //
  //     expect(style.colors.backgroundColor).toBeUndefined()
  //   })
  //
  //   test('Un-Checked Radio Button should have backgroundColor #E5E9F3', async () => {
  //     const wrapper = renderer.create(<RadioButton toggleValue={false} />)
  //     const style = await getStyle(wrapper.toJSON().children[0])
  //
  //     expect(style.colors.backgroundColor).toBe('#E5E9F3')
  //   })
  //
  //   test('Checked RadioButton should have Tiket-BLUE border to the outmost container', async () => {
  //     const wrapper = renderer.create(<RadioButton toggleValue />)
  //     const style = await getStyle(wrapper.toJSON())
  //
  //     expect(style.colors.borderTopColor).toBe(BLUE)
  //     expect(style.colors.borderRightColor).toBe(BLUE)
  //     expect(style.colors.borderBottomColor).toBe(BLUE)
  //     expect(style.colors.borderLeftColor).toBe(BLUE)
  //   })
  //
  //   test('Checked RadioButton inner container should have Tiket-BLUE background', async () => {
  //     const wrapper = renderer.create(<RadioButton toggleValue />)
  //     const style = await getStyle(wrapper.toJSON().children[0])
  //
  //     expect(style.colors.backgroundColor).toBe(BLUE)
  //   })
})
